Construct the error object

- « Error

- Error::getMessage »

- PHP Manual
- Error
- Construct the error object

# Error::__construct

(PHP 7, PHP 8)

Error::__construct — Construct the error object

### Description

public Error::__construct(string `$message` = "", int `$code` = 0, ?Throwable `$previous` = `null`)

Constructs the Error.

### Parameters

`message`

  The error message.

`code`

  The error code.

`previous`

  The previous throwable used for the exception chaining.

### Notes

> Note:

> The `message` is NOT binary safe.